Last modified: 2014-11-20 09:19:51 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 30323 - PrefixSearch: Add support for multiple namespaces
PrefixSearch: Add support for multiple namespaces
Status: PATCH_TO_REVIEW
Product: MediaWiki
Classification: Unclassified
Search (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Niklas Laxström
:
: 35095 (view as bug list)
Depends on: 73289 73288
Blocks: 24214 27411
  Show dependency treegraph
 
Reported: 2011-08-11 10:56 UTC by Krinkle
Modified: 2014-11-20 09:19 UTC (History)
8 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Krinkle 2011-08-11 10:56:57 UTC
ApiOpenSearch takes multiple namespaces, yet, when it comes to the query down in PrefixSearch it calls array_shift() and uses only one namespace.

Looks like something was forgotten to be implemented. Aside from ignoring other namespaces, it also overrides that sometimes (see bug 22773)
Comment 1 Robert Stojnic 2011-08-11 10:59:28 UTC
This was a temporary fix at some point to prevent the mysql backend from dying. Should never be used when using the Lucene backend as it has no problems with multiple prefixes, but should still be in place in case someone uses mysql (i.e. TitleKey).
Comment 2 Toni Hermoso Pulido 2012-01-06 19:33:54 UTC
I've detected that multiple namespaces are ignored in opensearch queries in my wikis (MW 1.16 and MW 1.17), but I've seen that this seems to work in Wikipedia.

Example:

http://en.wikipedia.org/w/api.php?action=opensearch&search=api&limit=100&namespace=0|1&format=jsonfm

Has this been solved in MW 1.19? Or is there any kind of workaround?
Comment 3 Mark A. Hershberger 2012-01-09 17:13:50 UTC
> Has this been solved in MW 1.19? Or is there any kind of workaround?

Hopefully you'll be able to test this on
http://deployment.wmflabs.org/ today or tomorrow and confirm if
it has been fixed or not.
Comment 4 Toni Hermoso Pulido 2012-01-12 10:57:19 UTC
(In reply to comment #3)
> > Has this been solved in MW 1.19? Or is there any kind of workaround?
> 
> Hopefully you'll be able to test this on
> http://deployment.wmflabs.org/ today or tomorrow and confirm if
> it has been fixed or not.

Search seems to be still disabled, though :/
Comment 5 Mark A. Hershberger 2012-01-12 15:47:01 UTC
You're right, we don't have search up there yet.  Hope to get it done today.
Comment 6 Niklas Laxström 2014-06-02 18:40:43 UTC
*** Bug 35095 has been marked as a duplicate of this bug. ***
Comment 7 Gerrit Notification Bot 2014-06-02 18:43:37 UTC
Change 136796 had a related patch set uploaded by Nikerabbit:
PrefixSearch (ApiOpenSearch) now supports searching in multiple namespaces

https://gerrit.wikimedia.org/r/136796
Comment 8 Gerrit Notification Bot 2014-06-20 20:30:22 UTC
Change 136796 merged by Chad:
PrefixSearch (ApiOpenSearch) now supports searching in multiple namespaces

https://gerrit.wikimedia.org/r/136796
Comment 9 Gerrit Notification Bot 2014-06-24 08:23:49 UTC
Change 141660 had a related patch set uploaded by Nikerabbit:
PrefixSearch (ApiOpenSearch) now supports searching in multiple namespaces

https://gerrit.wikimedia.org/r/141660

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links